Welcome, Guest. Please login or register.
April 24, 2014, 02:55:49 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  General
| |-+  Wish list
| | |-+  QGIS plugin error
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: QGIS plugin error  (Read 1036 times)
richdb
Administrator
Pardus Guru
*****
Gender: Male
Posts: 349



View Profile WWW
« on: January 05, 2012, 12:42:02 PM »

Looks like QGIS missing some python libary.

I use a Qgis plugin Gdaltools and this plugin gives an error (see screenshot).

no module named osgeo (python-gdal).



Logged
richdb
Administrator
Pardus Guru
*****
Gender: Male
Posts: 349



View Profile WWW
« Reply #1 on: January 05, 2012, 12:42:31 PM »

oops .. forgot the screenshot


* qgis-error.png (526.62 KB, 1280x800 - viewed 120 times.)
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #2 on: January 05, 2012, 14:29:26 PM »

Will try to get this error myself and then try to find a solution.
Is under investigation
Logged
a.palius
Pardus fellow craft
**
Posts: 132


View Profile
« Reply #3 on: January 05, 2012, 22:10:53 PM »

no module named osgeo (python-gdal).

Code:
sudo pisi bi http://pakete.pardususer.de/playground/a.palius/python-gdal/pspec.xml -y && sudo pisi it python-gdal*.pisi -y

By running the above line you can build and install python-gdal package.
If this resolve the problem then atolboo will put the package to pardususer.de repository.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #4 on: January 05, 2012, 22:58:08 PM »

If this resolve the problem then atolboo will put the package to pardususer.de repository.
And I guess, if this ^^^ is the solution, I also have to build an update for Qgis with
Quote
       <RuntimeDependencies>
               <Dependency>python-gdal</Dependency>
in order to make it 100%.

(PiSiDo is again making life much easier)
« Last Edit: January 06, 2012, 11:40:11 AM by atolboo » Logged
richdb
Administrator
Pardus Guru
*****
Gender: Male
Posts: 349



View Profile WWW
« Reply #5 on: January 06, 2012, 10:27:31 AM »

I will try it this evening ...
Logged
richdb
Administrator
Pardus Guru
*****
Gender: Male
Posts: 349



View Profile WWW
« Reply #6 on: January 06, 2012, 22:51:04 PM »

And this is the trick .. it resolve the problem Smiley
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #7 on: January 06, 2012, 23:09:30 PM »

  to a.palius
And it also means I have some work to do tomorrow.
Logged
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #8 on: January 07, 2012, 22:46:14 PM »

Update for Qgis now available
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!